#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import AuklandCompsci210ComputerSystem1LectureNotes
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('AuklandCompsci210ComputerSystem1LectureNotes'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="aukland-compsci-210-computer-system-1-lecture-notes",
    version=AuklandCompsci210ComputerSystem1LectureNotes.__version__,
    url="https://github.com/apachecn/aukland-compsci-210-computer-system-1-lecture-notes",
    author=AuklandCompsci210ComputerSystem1LectureNotes.__author__,
    author_email=AuklandCompsci210ComputerSystem1LectureNotes.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="Aukland COMPSCI 210 Computer System 1 Lecture Notes",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "aukland-compsci-210-computer-system-1-lecture-notes=AuklandCompsci210ComputerSystem1LectureNotes.__main__:main",
            "AuklandCompsci210ComputerSystem1LectureNotes=AuklandCompsci210ComputerSystem1LectureNotes.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
